<template>
    <div>
        <h2>Are you sure you want to delete this contact?</h2>
        <div class="buttons">
            <button class="back-delete-button" @click="emitButtonBack">No</button>
            <button class="delete-button" @click="emitButtonDeleteContact">Yes</button>
        </div>
    </div>
</template>

<script>
export default {
    name: 'DeleteContact',

    methods: {
        emitButtonBack() {
            this.$emit('button-back-event')
        },
        emitButtonDeleteContact() {
            this.$emit('button-delete-event')
        },
    },
}
</script>

<style scoped>
.buttons {
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    justify-content: space-between;
}
button {
    font-size: 1.5rem;
    border: none;
    border-radius: 200%;
    cursor: pointer;
    padding: 1rem 1rem;
    margin-top: 3rem;
}

button:hover {
    background: white;
}
</style>
